%define qtdir /usr/lib/qt-1.45
%define sourcedir stable/1.1.2/distribution/tar/generic/source

%define rhsupport kdesupport-redhat-1.1.2
%define omit  --without-libjpeg --without-libgif --without-libgdbm 
%define extrareq libungif libjpeg >= 6b-5 gdbm rpm >= 2.5
Name: kdesupport
Summary: Support libraries for the K Desktop Environment (KDE).
Summary(cs): Knihovny pro K Desktop Environment (KDE).
Version: 1.1.2
Release: 18cz1
Epoch: 5
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
Source1: %{rhsupport}.tar.bz2
Patch0: kdesupport-1.1.2-fixalpha.patch
Patch1: kdesupport-1.1.2-nodebug.patch
Group: User Interface/Desktops
Group(cs): Uivatelsk rozhran/Sprvci pracovn plochy
Copyright: LGPL/GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: %{extrareq}
Prereq: /sbin/ldconfig
BuildPrereq: autoconf, automake, libtool, qt1x-devel, glibc-devel
%ifnarch ia64
Requires: compat-libstdc++
BuildPrereq: compat-egcs-c++
%endif
Prefix: %{_prefix}

%description
The K Destktop Environment (KDE) is a GUI desktop for the X Window
System. The kdesupport package contains support libraries for KDE that
aren't part of KDE, including QwSpriteField, js (JavaScript), uulib,
mimelib, and rdb. Depending upon the Red Hat Linux release, the gdbm,
jpeg and gif libraries are either included, or the versions supplied
by Red Hat are required.

This package also provides extra KDE support for Red Hat Linux,
including the usekde script and other scripts.  Usekde allows users to
set up KDE as their default desktop (this is also done automatically
when a new user is created).  Scripts are also included to replace the
X display manager (xdm) with the KDE X Display Manager (kdm).

If you're installing KDE, you'll need to install kdesupport, kdebase
and kdelibs.

%description -l cs
K Desktop Environment (KDE) je GUI prosted pro X Window System.
Balek kdesupport obsahuje knihovny pro KDE, kter nejsou soust KDE:
QwSpriteField (js JavaScript), uulib (mimelib) a rdb. V zvislosti na
verzi Red Hat Linuxu jsou gdbm, jpeg a gif knihovny obsaeny nebo jsou v
samostatnch balcch.  Tento balek obsahuje extra podporu pro KDE v
Red Hat Linuxu vetn usekde skriptu a dalch. Usekde umouje
uivateli nastavit KDE jako jejich implicitn pracovn plochu, dal
skript umoujenastavit implicitn kdm msto xdm.

Jestlie instalujete KDE, budete si muset nainstalovat i kdesupport,
kdebase a kdelibs.

%package devel
Group: Development/Libraries
Group(cs): Vvojov prostedky/Knihovny
Summary: Header files and documentation for the KDE support libraries.
Summary(cs): Hlavikov soubory a dokumentace pro knihovny pro KDE.
Requires: qt1x-devel
%ifnarch ia64
Requires: compat-egcs-c++ compat-libstdc++
%endif

%description devel
This package contains the header files needed to compile applications
using the K Desktop Environment (KDE) support libraries:
QwSpriteField, js (javascript), uulib, mimelib, and rdb.

You should install this package if you want to recompile or develop
KDE applications.

%description -l cs devel
Tento balek obsahuje hlavikov soubory potebn pro peklad aplikac
pouvajcch knihovny QwSpriteField, js (javascript), uulib, mimelib,
a rdb pro K Desktop Environment (KDE).

Nainstalujte si tento balek, jestlie chcete pekldat nebo vyvjet
KDE aplikace.

%prep
%setup -q -n kdesupport -a 1
%patch0 -p1 -b .fixalpha
%patch1 -p1 -b .debug

%build
rm -rf $RPM_BUILD_ROOT

export QTDIR=%{qtdir}
export FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

make -f Makefile.cvs
%configure \
	--prefix=%{prefix} \
	--disable-static \
	--disable-path-check %{omit}

make CXX="${CXX}" CC="${CC}" CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install-strip

chmod a+x $RPM_BUILD_ROOT%{prefix}/lib/*
strip --strip-unneeded -R .comment $RPM_BUILD_ROOT%{prefix}/lib/*so*

# edit the redhat scripts to use %{prefix}
cd $RPM_BUILD_DIR/kdesupport/scripts
for file in * ; do
    if [ -f $file ] ; then
	sed -e "s.@KDEPREFIX@.%{prefix}.g" $file > ../$file
    fi
done
cd ..

# install the default user configuration files
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk
mv etc/skel/kde etc/skel/.kde
cp -aR $RPM_BUILD_DIR/kdesupport/share/config \
	etc/skel/.kde/share
cp -aR $RPM_BUILD_DIR/kdesupport/share/applnk/* \
	$RPM_BUILD_ROOT/usr/share/applnk
cp -aR $RPM_BUILD_DIR/kdesupport/share/icons \
	$RPM_BUILD_ROOT/usr/share
cp -aR $RPM_BUILD_DIR/kdesupport/etc $RPM_BUILD_ROOT

# KVT is better for Czech language
perl -pi -e 's/konsole/kvt/' $RPM_BUILD_ROOT/etc/skel/.kde/share/config/kpanelrc

#install initialization scripts.
install -d $RPM_BUILD_ROOT/etc/profile.d
install -c -m 0755 $RPM_BUILD_DIR/kdesupport/kde.sh \
	$RPM_BUILD_ROOT/etc/profile.d/kde.sh
install -c -m 0755 $RPM_BUILD_DIR/kdesupport/kde.csh \
	$RPM_BUILD_ROOT/etc/profile.d/kde.csh

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/ld.so.conf ]; then
	grep -q '%{prefix}/lib' /etc/ld.so.conf || \
	echo "%{prefix}/lib" >> /etc/ld.so.conf
else
	echo "%{prefix}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ $1 = 0 ]; then
	if ! [ -d %{prefix}/lib ] ; then
	mv /etc/ld.so.conf /etc/ld.so.conf.orig
	grep -v '^%{prefix}/lib$' /etc/ld.so.conf.orig > /etc/ld.so.conf
	rm /etc/ld.so.conf.orig
	/sbin/ldconfig
	fi
fi

%files
%defattr(-,root,root)
%config /etc/profile.d/*
%config %dir /etc/skel/.kde
%config /etc/skel/.kde/*
%config /etc/skel/.kderc
%config %dir /etc/skel/Desktop
%config /etc/skel/Desktop/*
%{prefix}/lib/*.so.*
%{prefix}/share/applnk
%{prefix}/share/icons

%files devel
%defattr(-,root,root)
%{prefix}/include/*.h
%dir %{prefix}/include/mimelib
%{prefix}/include/mimelib/*
%{prefix}/lib/*.la
%{prefix}/lib/*.so

%changelog
* Thu Dec  7 2000 Milan Kerslager <kerslage@linux.cz>
- kvt is better than konsole for Czech language (ISO-8859-2 trouble)

* Mon Aug 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- don't force iso-8859-1 in /etc/skel/* (Bug 13469)

* Wed Aug  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current KDE_1_1_BRANCH, this (finally) fixes the autoconf stuff
- Don't exclude ia64

* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- add nice preconfiguration to KDE1
- fix for kdehelp to load main.html in /usr/share/doc/HTML/default/kdehelp
  instead /usr/doc

* Mon Jul 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- don't exclude ia64
- move konfigure to kdelibs-devel
- fix up the file lists (*.la and /usr/include/mimelib should be in -devel...)
- turn off debugging for mimelib

* Sun Jul 30 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-egcs-c++
- cleanup specfile
- add konfigure

* Thu Jun 01 2000 Than Ngo <than@redhat.de>
- Update to current KDE_1_1_BRANCH in CVS - some bugfixes
- rebuild for 7.0
- use DESTDIR instead of prefix

* Sat Feb 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't put a Netscape icon in kpanel on alpha.

* Wed Feb 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing netscape icon

* Thu Feb 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove the Autorun.kdelnk file from Autostart - autorun adds it.

* Wed Feb  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- make default settings more reasonable.

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- strip libraries
- mark config files as such

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- get rid of usless defines
- fix summary and description

* Fri Jan  7 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Split in normal and -devel packages
- don't build static libraries - we aren't using them anyway.
- make use of BuildPrereq

* Fri Jan  7 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to current KDE_1_1_BRANCH in CVS - some bugfixes
- fix syntax error in kde.csh
- workaround for libtool problem on alpha

* Wed Oct 06 1999 Preston Brown <pbrown@redhat.com>
- smail fix for mimelib to fix crashes of kmail on alpha

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- fix up kde.sh and kde.csh scripts for relocatibility
- put docs under /usr/doc/kde

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- updated templates from kdebase

* Mon Sep 07 1999 Preston Brown <pbrown@redhat.com>
- packaged 1.1.2 release

* Mon Jul 11 1999 Preston Brown <pbrown@redhat.com>
- fixed broken kde.csh startup script.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- quite a few bugfixes and the latest snapshot

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- updated some of the default configuration information
- made the printer icon use klpq not lpr

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- stop warning message at installation time if ld.so.conf nonexistent

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- fixed substitution of KDEPREFIX in shell scripts

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- snapshot from stable tree, improvements

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.
- removed installation of /etc/skel/.Xclients.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgrade to KDE 1.1 final.

* Tue Jan 05 1998 Preston Brown <pbrown@redhat.com>
- again, integrated changes from Duncan Haldane
